︠fd4d0cf9-2fe1-4811-807d-1c8a302c2130i︠
%html
<p><span style="white-space: pre;"> </span>The IDEA of the &nbsp;pythagorean theorem has been in existence since even before 2500 B.C, but circa 300 B.C. Euclid presented the theory. The pythagorean theorem is simply the idea of pythagorean triples, or a^2 + b^2 = c^2. What it really means is leg squared plus leg squared equals hypotenuse squared. In any right triangle, the area of the side is the hypotenuse (the side opposite the right angle) is equal to the sum of the areas of the squares whose sides are the two legs (the two sides that meet at the right angle).&nbsp;</p>

︡edf3d534-4b7f-4107-94d9-3c65a370ed06︡{"html": "<p><span style=\"white-space: pre;\"> </span>The IDEA of the &nbsp;pythagorean theorem has been in existence since even before 2500 B.C, but circa 300 B.C. Euclid presented the theory. The pythagorean theorem is simply the idea of pythagorean triples, or a^2 + b^2 = c^2. What it really means is leg squared plus leg squared equals hypotenuse squared. In any right triangle, the area of the side is the hypotenuse (the side opposite the right angle) is equal to the sum of the areas of the squares whose sides are the two legs (the two sides that meet at the right angle).&nbsp;</p>"}︡
︠eb960259-e9c6-40b4-8d80-e8222baa6f5f︠
def hypotenuse(a,b): return sqrt(a^2 + b^2)
︡35128801-389f-462b-b7c8-c82e8d48bd3e︡︡
︠d76a26f4-aaeb-497d-b599-3bf60e5fd803︠
hypotenuse(3,4)
︡1da5abb8-af70-468d-a70f-14a4643bedc5︡{"stdout": "5"}︡
︠e39c8444-ad9e-469d-be5c-033e113f7237︠
hypotenuse(5,12)
︡0e62b72d-6c72-4fd0-ad3c-8631d40fa514︡{"stdout": "13"}︡
︠4512b34b-eb70-42f7-9b06-7f3bb2132af7i︠
%html
<p><span style="white-space: pre;"> </span>The sage notebook feature (shown above), demonstrates how the pythagorean theorem works. By hand, one would write out and solve the following equation:</p>
<p><span style="white-space: pre;"> </span>a^2 + b^2 = c^2</p>
<p><span style="white-space: pre;"> </span>3^2 + 4^2 = c^2</p>
<p><span style="white-space: pre;"> </span>9 + 16 = 25</p>
<p><span style="white-space: pre;"> </span>5 = sqrt25</p>
<p>thus, a student has found the value of the hypotenuse of the triangle. It could also be used in reverse by supplying the value of the hypotenuse and one leg, and finding the value of the missing leg. &nbsp;As one can see, writing this equation out by hand is an arduous task that can easily be solved using sage, without losing sight of the actual theorem or how to use it. This enables students to understand the material, as well as solve equations efficiently. Used above, there are certain triangles, known as pythagorean triples, that are already known to have an exact value. These are some examples: 3,4,5/ (any multiple of 3,4,5 such as 6,8,10 or 9,12,15) and ,5,12,13.</p>

︡5455eba2-8c53-451e-99f4-8d95941ac3a7︡{"html": "<p><span style=\"white-space: pre;\"> </span>The sage notebook feature (shown above), demonstrates how the pythagorean theorem works. By hand, one would write out and solve the following equation:</p>\n<p><span style=\"white-space: pre;\"> </span>a^2 + b^2 = c^2</p>\n<p><span style=\"white-space: pre;\"> </span>3^2 + 4^2 = c^2</p>\n<p><span style=\"white-space: pre;\"> </span>9 + 16 = 25</p>\n<p><span style=\"white-space: pre;\"> </span>5 = sqrt25</p>\n<p>thus, a student has found the value of the hypotenuse of the triangle. It could also be used in reverse by supplying the value of the hypotenuse and one leg, and finding the value of the missing leg. &nbsp;As one can see, writing this equation out by hand is an arduous task that can easily be solved using sage, without losing sight of the actual theorem or how to use it. This enables students to understand the material, as well as solve equations efficiently. Used above, there are certain triangles, known as pythagorean triples, that are already known to have an exact value. These are some examples: 3,4,5/ (any multiple of 3,4,5 such as 6,8,10 or 9,12,15) and ,5,12,13.</p>"}︡
︠2ebd933e-7128-4494-9e5f-16cd7fd10755︠
hypotenuse(6,8)
︡476deaac-37ff-4364-afa2-a7169887f482︡{"stdout": "10"}︡
︠b7cd147f-a91b-48c9-82a8-47ec467cd779︠
hypotenuse(9,12)
︡0cabc164-70bc-429e-a298-032e4785d301︡{"stdout": "15"}︡
︠0411e64f-5c6f-47b7-9471-5a594fdc725fi︠
%html
<p>This is an example of how one can find the value of a leg by suppling the value of one leg and the hypotenuse.</p>

︡9d1c4a03-09b0-4a9d-9c2b-66a1803e1eaf︡{"html": "<p>This is an example of how one can find the value of a leg by suppling the value of one leg and the hypotenuse.</p>"}︡
︠3d7c9a5c-e0e7-48e8-801b-4ea83aebf748︠
leg(4,5)
︡3248e572-b103-4e62-bc0d-d3e8a97b8d35︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_8.py\", line 10, in <module>\n    exec compile(u'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"bGVnKDQsNSk=\"),globals())+\"\\\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmpoV0BWW/___code___.py\", line 3, in <module>\n    exec compile(u'leg(_sage_const_4 ,_sage_const_5 )' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \nNameError: name 'leg' is not defined"}︡
︠deb1b38f-9364-4a6a-87ee-608d3a3958eai︠
%html
<p>Euclid found a way to create integer Pythagorean triples. This is what it is.</p>

︡23c07f2b-32bb-47b3-bb6e-34ec615b56e7︡{"html": "<p>Euclid found a way to create integer Pythagorean triples. This is what it is.</p>"}︡
︠32d8cb2e-9f7f-4bb6-adbd-6bf86da288c3︠
def ptriple(m,n):
    a=m^2-n^2
    b=2*m*n
    c=m^2+n^2
    return a,b,c
︡143866e4-a9df-4a94-a4fc-21fe66655d59︡︡
︠825a052f-b1d2-4df8-bb6d-2b8ecbbadd70︠
ptriple(3,2)
︡891e8203-2dd3-4599-947e-9acc01af6686︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_10.py\", line 10, in <module>\n    exec compile(u'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"cHRyaXBsZSgzLDIp\"),globals())+\"\\\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmpvudqk6/___code___.py\", line 3, in <module>\n    exec compile(u'ptriple(_sage_const_3 ,_sage_const_2 )' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \nNameError: name 'ptriple' is not defined"}︡
︠4df551e3-be99-4055-9b42-aa621d96ffa7︠
ptriple(3,2)
︡6c07e529-36c7-42d9-8278-82b923df8d14︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_11.py\", line 10, in <module>\n    exec compile(u'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"cHRyaXBsZSgzLDIp\"),globals())+\"\\\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmpbRJ9VA/___code___.py\", line 3, in <module>\n    exec compile(u'ptriple(_sage_const_3 ,_sage_const_2 )' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \nNameError: name 'ptriple' is not defined"}︡
︠a084975e-72f0-42fd-8a10-ca9697314447︠
def ptriple(m,n):
    a=m^2-n^2
    b=2*m*n
    c=m^2+n^2
    return a,b,c
︡e6810036-1d6e-473a-965b-e3970475eb35︡︡
︠8829b919-e195-40d4-a43f-1c80d0e9fcea︠
ptriple(3,2)
︡99595918-639a-4f36-ba00-3efa40306dc0︡{"stdout": "(5, 12, 13)"}︡
︠5265d376-9233-449a-a1ba-747d30f1fb75︠
ptriple(7,6)
︡c8ec0fcb-5ebb-4013-9105-b0632f84033e︡{"stdout": "(13, 84, 85)"}︡
︠447b0983-cd5c-4f65-871d-d5ff2e2c1320︠
ptriple(9,2)
︡67401578-0374-4224-a0d3-c6e66fb67244︡{"stdout": "(77, 36, 85)"}︡
︠9693ccac-7ee8-4ee7-8a0e-f102c89ec101i︠
%html
<p>In general, the pythagorean theorem is one of the most important theorems in existence. The theorem is used in proofs, such as the sililarity proof, Euclid's proof, and proofs by subtraction and rotation.</p>
<p><img class="thumbimage" src="http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Pythagorean_proof_%281%29.svg/220px-Pythagorean_proof_%281%29.svg.png" alt="" width="220" height="165" /><img class="thumbimage" src="http://upload.wikimedia.org/wikipedia/commons/thumb/0/0e/Rotated_squares.PNG/220px-Rotated_squares.PNG" alt="" width="220" height="329" /></p>
<p><img class="thumbimage" src="http://upload.wikimedia.org/wikipedia/commons/thumb/9/90/Pythagoras_Staring.PNG/220px-Pythagoras_Staring.PNG" alt="" width="220" height="316" /><img class="thumbimage" src="http://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Law_of_cosines.PNG/220px-Law_of_cosines.PNG" alt="" width="220" height="279" /></p>
<p><img class="thumbimage" src="http://upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Pythagoras_similar_triangles.PNG/220px-Pythagoras_similar_triangles.PNG" alt="" width="220" height="138" /></p>
<p>&nbsp;</p>

︡91197921-0706-449b-9389-28610c688c9f︡{"html": "<p>In general, the pythagorean theorem is one of the most important theorems in existence. The theorem is used in proofs, such as the sililarity proof, Euclid's proof, and proofs by subtraction and rotation.</p>\n<p><img class=\"thumbimage\" src=\"http://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Pythagorean_proof_%281%29.svg/220px-Pythagorean_proof_%281%29.svg.png\" alt=\"\" width=\"220\" height=\"165\" /><img class=\"thumbimage\" src=\"http://upload.wikimedia.org/wikipedia/commons/thumb/0/0e/Rotated_squares.PNG/220px-Rotated_squares.PNG\" alt=\"\" width=\"220\" height=\"329\" /></p>\n<p><img class=\"thumbimage\" src=\"http://upload.wikimedia.org/wikipedia/commons/thumb/9/90/Pythagoras_Staring.PNG/220px-Pythagoras_Staring.PNG\" alt=\"\" width=\"220\" height=\"316\" /><img class=\"thumbimage\" src=\"http://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Law_of_cosines.PNG/220px-Law_of_cosines.PNG\" alt=\"\" width=\"220\" height=\"279\" /></p>\n<p><img class=\"thumbimage\" src=\"http://upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Pythagoras_similar_triangles.PNG/220px-Pythagoras_similar_triangles.PNG\" alt=\"\" width=\"220\" height=\"138\" /></p>\n<p>&nbsp;</p>"}︡
